Developers

Dedicated operation for kanban board pdf export.

GET
/project/boards/{id}/get-kanban-tasks-export-pdf

Dedicated operation for kanban board pdf export.

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

Board identifier

Query Parameters

onlyClosed?boolean

If set to true, this will return only tasks with status closed (archived tasks)

Defaultfalse

Response Body

Board resource

  1. response
key?string
downloadUrl?|
Formaturl
Example Request
curl -X GET 'https://app.icproject.com/api/instance/demo/project/boards/string/get-kanban-tasks-export-pdf'
Example Response
{  "key": "string",  "downloadUrl": "string"}